org.eclipse.emf.cdo.common.revision.delta

## Interface CDOMoveFeatureDelta

- All Superinterfaces:
    CDOFeatureDelta

      public interface CDOMoveFeatureDelta
      extends CDOFeatureDelta

  A `feature delta` that represents a move of one element of a many-valued `feature` to a different list position.
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `CDOFeatureDelta.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `NO_INDEX, UNKNOWN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNewPosition()`
    `int` | `getOldPosition()`
    `Object` | `getValue()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `accept, apply, applyTo, copy, getFeature, getType, isStructurallyEqual`

- - ### Method Detail

    - #### getOldPosition

          int getOldPosition()

    - #### getNewPosition

          int getNewPosition()

    - #### getValue

          Object getValue()

      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html